org.apache.lucene.analysis.ngram

## Class EdgeNGramTokenFilter

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.TokenFilter
      - - org.apache.lucene.analysis.ngram.EdgeNGramTokenFilter

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public final class EdgeNGramTokenFilter
      extends TokenFilter

  Tokenizes the given token into n-grams of given size(s).

  This `TokenFilter` create n-grams from the beginning edge or ending edge of a input token.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EdgeNGramTokenFilter.Side` Specifies which side of the input the n-gram should be generated from

    - ### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

      `AttributeSource.AttributeFactory, AttributeSource.State`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_MAX_GRAM_SIZE`
    `static int` | `DEFAULT_MIN_GRAM_SIZE`
    `static EdgeNGramTokenFilter.Side` | `DEFAULT_SIDE`

    - ### Fields inherited from class org.apache.lucene.analysis.TokenFilter

      `input`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EdgeNGramTokenFilter(TokenStream input, EdgeNGramTokenFilter.Side side, int minGram, int maxGram)` Creates EdgeNGramTokenFilter that can generate n-grams in the sizes of the given range
    `EdgeNGramTokenFilter(TokenStream input, String sideLabel, int minGram, int maxGram)` Creates EdgeNGramTokenFilter that can generate n-grams in the sizes of the given range

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `incrementToken()`
    `void` | `reset()`

    - ### Methods inherited from class org.apache.lucene.analysis.TokenFilter

      `close, end`

    - ### Methods inherited from class org.apache.lucene.util.AttributeSource

      `addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_SIDE

          public static final EdgeNGramTokenFilter.Side DEFAULT_SIDE

    - #### DEFAULT_MAX_GRAM_SIZE

          public static final int DEFAULT_MAX_GRAM_SIZE

      See Also:
        Constant Field Values

    - #### DEFAULT_MIN_GRAM_SIZE

          public static final int DEFAULT_MIN_GRAM_SIZE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EdgeNGramTokenFilter

          public EdgeNGramTokenFilter(TokenStream input,
                              EdgeNGramTokenFilter.Side side,
                              int minGram,
                              int maxGram)

      Creates EdgeNGramTokenFilter that can generate n-grams in the sizes of the given range
      Parameters:
        `input` - `TokenStream` holding the input to be tokenized
        `side` - the `EdgeNGramTokenFilter.Side` from which to chop off an n-gram
        `minGram` - the smallest n-gram to generate
        `maxGram` - the largest n-gram to generate

    - #### EdgeNGramTokenFilter

          public EdgeNGramTokenFilter(TokenStream input,
                              String sideLabel,
                              int minGram,
                              int maxGram)

      Creates EdgeNGramTokenFilter that can generate n-grams in the sizes of the given range
      Parameters:
        `input` - `TokenStream` holding the input to be tokenized
        `sideLabel` - the name of the `EdgeNGramTokenFilter.Side` from which to chop off an n-gram
        `minGram` - the smallest n-gram to generate
        `maxGram` - the largest n-gram to generate

  - ### Method Detail

    - #### incrementToken

          public final boolean incrementToken()
                                       throws IOException

      Specified by:
        `incrementToken` in class `TokenStream`
      Throws:
        `IOException`

    - #### reset

          public void reset()
                     throws IOException

      Overrides:
        `reset` in class `TokenFilter`
      Throws:
        `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.